gr::baz::field_tracker Class Reference

Detect the peak of a signal. More...

`#include <baz_field_tracker.h>`

Inheritance diagram for gr::baz::field_tracker:
[legend]

## Public Types

typedef boost::shared_ptr< field_tracker > | sptr

## Static Public Member Functions

static sptr | make (int item_size, int input_length, int output_length)

## Detailed Description

Detect the peak of a signal.

If a peak is detected, this block outputs a 1, or it outputs 0's.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<field_tracker> gr::baz::field_tracker::sptr

## Member Function Documentation

## make()

static sptr gr::baz::field_tracker::make | ( | int | item_size,
|  | int | input_length,
|  | int | output_length
| ) |  |

static

The documentation for this class was generated from the following file:

- baz_field_tracker.h